libetonyek::KEYZlibStream Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libetonyek::KEYZlibStream Class Reference

`#include <KEYZlibStream.h>`

Inheritance diagram for libetonyek::KEYZlibStream:

## Public Member Functions
| KEYZlibStream (const RVNGInputStreamPtr_t &stream)
| ~KEYZlibStream ()
bool | isStructured ()
unsigned | subStreamCount ()
const char * | subStreamName (unsigned id)
bool | existsSubStream (const char *)
librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
librevenge::RVNGInputStream * | getSubStreamById (unsigned id)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
long | tell ()
bool | isEnd ()

## Private Attributes
RVNGInputStreamPtr_t | m_stream

## Constructor & Destructor Documentation

libetonyek::KEYZlibStream::KEYZlibStream | ( | const RVNGInputStreamPtr_t & | stream | ) |

libetonyek::KEYZlibStream::~KEYZlibStream | ( |  | ) |

## Member Function Documentation

bool libetonyek::KEYZlibStream::existsSubStream | ( | const char * |  | ) |
| inline

librevenge::RVNGInputStream * libetonyek::KEYZlibStream::getSubStreamById | ( | unsigned | id | ) |

librevenge::RVNGInputStream * libetonyek::KEYZlibStream::getSubStreamByName | ( | const char * | name | ) |

bool libetonyek::KEYZlibStream::isEnd | ( |  | ) |

bool libetonyek::KEYZlibStream::isStructured | ( |  | ) |

const unsigned char * libetonyek::KEYZlibStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

int libetonyek::KEYZlibStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |

unsigned libetonyek::KEYZlibStream::subStreamCount | ( |  | ) |

const char * libetonyek::KEYZlibStream::subStreamName | ( | unsigned | id | ) |

long libetonyek::KEYZlibStream::tell | ( |  | ) |

## Member Data Documentation

RVNGInputStreamPtr_t libetonyek::KEYZlibStream::m_stream
| private

Referenced by isEnd(), KEYZlibStream(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- KEYZlibStream.h
- KEYZlibStream.cpp